/*.fa {
    font: normal normal normal 16px/1.5 FontAwesome !important;
}*/

/* WP List Table */

/** Slide List Table **/

.slideshow .wp-list-table .column-id, 
.slideshow .wp-list-table .column-order { width: 5%; }
.slideshow .wp-list-table .column-image { width: 100px; }
.slideshow .wp-list-table .column-title { width: 25%; }

.slideshow .ui-datepicker-trigger:before {
    font-family: FontAwesome !important;
    content: "\f073";
}

.slideshow-update-nag-wrapper {
    position: relative;
}

.slideshow-update-nag {
    vertical-align: middle;
}

#adminmenu .toplevel_page_slideshow-slides div.wp-menu-image:before,
.mce-i-gallery:before, 
.slideshow-update-nag:before, 
#wpadminbar .slideshow-lite a:before {
    font-family: 'FontAwesome' !important;
    content: "\f03e";
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-size: 18px;
}

.slideshow-badge {
    position: absolute;
    top: 0;
    right: 0;
    background: #0074a2;
    background-position: center 24px;
    -webkit-background-size: 85px 85px;
    background-size: 85px 85px;
    color: #78c8e6;
    font-size: 14px;
    text-align: center;
    font-weight: 600;
    margin: 5px 0 0;
    padding: 15px 0;
    display: inline-block;
	width: 150px;
    text-rendering: optimizeLegibility;
    -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 3px rgba(0, 0, 0, .2);
}

#wpadminbar .slideshow-lite {}

#wpadminbar .slideshow-lite a {}

#wpadminbar .slideshow-lite-listlimit {}

#wpadminbar .slideshow-lite-listlimit a {}

#wpadminbar .slideshow-lite-subscriberlimit {}

#wpadminbar .slideshow-lite-subscriberlimit a {}

#wpadminbar .slideshow-lite-emaillimit {}

#wpadminbar .slideshow-lite-emaillimit a {}

#wpadminbar .slideshow-lite-submitserial {}

#wpadminbar .slideshow-lite-submitserial a:before {
    content: '' !important;
}

#wpadminbar .slideshow-lite-submitserial a {
    color: green !important;
    background: white;
    font-weight: bold;
}

#wpadminbar .slideshow-lite-upgrade {}

#wpadminbar .slideshow-lite-upgrade a:before {
    content: '' !important;
}

#wpadminbar .slideshow-lite-upgrade a {
    color: red !important;
    background: white;
    font-weight: bold;
}

#message.slideshow.updated, 
#message.slideshow.error {
	padding-right: 38px;
	position: relative;
}

.slideshow #message a {
	text-decoration: none;
}

.slideshow-icon-delete {
	text-decoration: none !important;
}

.slideshow .ui-slider {
	margin: 10px 0;
	background: #CCCCCC;
}

.slideshow .ui-slider-handle {
	cursor: ew-resize !important;
	background: #333333;
}

.slideshow .slider-value {
	float: right;
	font-size: 80%;
	font-weight: bold;
	border: 1px #000000 solid;
	border-radius: 999px;
	padding: 2px 5px;
	vertical-align: top;
	text-align: center;
	background: #000000;
	color: #ffffff;
}

.slideshow .iris-picker {
	position: absolute;
	z-index: 999;
}

.slideshow input.wp-color-picker {
	margin: 0 6px 6px 0 !important;
}

img.slideshow_dropshadow,
.slideshow img.dropshadow,
a.thickbox img.slideshow, 
a.colorbox img.slideshow,
.slideshow .img-rounded {
    /*border-radius: 50%;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;*/
    border-radius: 6px;
}

.galleryhelp a,
.galleryhelp a:hover, 
.galleryhelp a:active {
	text-decoration: none;
	color: #333;
}

.ui-tooltip {
	padding: 8px;
	position: absolute;
	z-index: 9999;
	max-width: 300px;
	-webkit-box-shadow: 0 0 5px #aaa;
	box-shadow: 0 0 5px #aaa;
	background: white;
	border-width: 2px;
	border-radius: 4px;
	-moz-border-radius: 4px;
	-webkit-border-radius: 4px;
}

.slideshow_error, 
.slideshow_error a {
    color: #CC0000 !important;
}

.slideshow_success, 
.slideshow_success a {
    color: #629632 !important;
}

.slideshow_warning, 
.slideshow_warning a {
    color: #e66f00;
}

/* Sortable */

ul.connectedSortable {
	float: left;
	width: 100%;
}

span.gallery_slides_convert_list a,
span.gallery_slides_convert_grid a{
	text-decoration: none;
}

.sortable-elements {
	display:inline-block;
}

.sortable-form-table-element, .sortable-form-table-headings, .ui-sortable li.gallerylineitem {
	float:left;
	margin-bottom:12px;
	width:100%;
	padding:8px 0;
}

.ui-sortable li.gallerylineitem {
	float:left;
	width:30%;
	min-width:30%;
	clear:both;
	white-space: nowrap;
	overflow: hidden;
    position: relative;
}

.relatedslides .ui-sortable li.gallerylineitem {
	width: 80%;
}

.ui-sortable li.ui-sortable-helper {
	width: 30%;
}

.ui-sortable li.gallerylineitem span.link {
    right: 10px;
    position: absolute;
}

.ui-sortable li.gallerylineitem span.link a {
    font-size: 90%;
}

.ui-sortable li.gallerylineitem span.link a:hover {
    text-decoration: none;
}

.sortable-form-table-element, .ui-sortable li.gallerylineitem {
	cursor: url('https://www.google.com/intl/en_ALL/mapfiles/openhand.cur'), default !important;
	background-color: #F1F1F1;
	background-image: -ms-linear-gradient(top,#F9F9F9,#ECECEC);
	background-image: -moz-linear-gradient(top,#F9F9F9,#ECECEC);
	background-image: -o-linear-gradient(top,#F9F9F9,#ECECEC);
	background-image: -webkit-gradient(linear,left top,left bottom,from(#F9F9F9),to(#ECECEC));
	background-image: -webkit-linear-gradient(top,#F9F9F9,#ECECEC);
	background-image: linear-gradient(top,#F9F9F9,#ECECEC);
	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	border-radius:3px;
	border:1px solid #DFDFDF;
}

.ui-sortable-helper, .ui-sortable li.ui-sortable-helper {
	cursor: url('https://www.google.com/intl/en_ALL/mapfiles/closedhand.cur'), default !important;
	cursor: -moz-grabbing;
	cursor: -webkit-grabbing;
}

#slidelist .sortable-form-table-element table, #slidelist .sortable-form-table-headings table, #slidelist.ui-sortable {
	/*float:left;*/
	width:100%;
	border-spacing:0;
}

.gallery_slides_list #slidelist li.gallerylineitem {
	height: 50px;
	line-height: 50px;
	padding: 0;
}

.gallery_slides_list #slidelist li.gallerylineitem .gallery_slide_image {
	display: block !important;
	float: left;
	margin: 0 15px 0 0;
}

.gallery_slides_list #slidelist li.gallerylineitem .gallery_slide_image img {
	width: 50px;
	height: 50px;
}

.gallery_slides_list .gallery_slide_title {
}

.gallery_slides_grid #slidelist li.gallerylineitem {
	width:90px !important;
	min-width:90px !important;
	height:112px;
	display:block;
	float:left;
	clear:none !important;
	margin-right:10px;
	white-space:normal
}

.gallery_slides_grid #slidelist li.gallerylineitem .gallery_slide_image {
	display:block !important;
	border:1px solid #DDD;
	float:left;
	width:89px;
	height:89px;
	margin-bottom:5px;
}

.gallery_slides_grid #slidelist li.gallerylineitem .gallery_slide_image img {
	width: 100%;
}

.gallery_slides_grid .gallery_slide_title {
	float:left;
	height:20px;
	line-height:20px;
	display:block;
	width:90px;
	overflow:hidden;
}

.gallery_slides_grid .gallery-placeholder { 
	float:left; 
	width:88px !important;
	min-width:88px !important;
	height:135px;
	border:1px dashed #c9c9c9;
	background:#f9f9f9;
	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	border-radius:3px;
	margin-bottom:10px;
	margin-right:10px;
	clear:none !important;
	padding: 0 13px !important;
}

.sortable-form-table-element table td, .sortable-form-table-headings table td{
	padding:0 8px;
	width:43%;
	color:#333;
	font-weight:bold;
	text-shadow:1px 1px 0 #FFF;
}

.ui-sortable li.gallerylineitem {
	color:#333;
	font-weight:bold;
	text-shadow:1px 1px 0 #FFF;
	padding:12px;
}

.sortable-form-table-element table td input[type=text] {
	font-weight:normal;
	/*width:40%;*/
	padding:5px;
}

.sortable-form-table-element table td.gallery-checkbox-required, .sortable-form-table-element table td.gallery-checkbox-show,
.sortable-form-table-headings table td.gallery-checkbox-required, .sortable-form-table-headings table td.gallery-checkbox-show {
	width:5%;
	text-align:center;
}

.gallery-placeholder { 
	float:left; 
	height:50px;
	width: 100%;
	padding: 0 !important;
	border:1px dashed #c9c9c9;
	background:#f9f9f9;
	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	border-radius:3px;
	margin-bottom:12px;
}

#slidelist .gallery-placeholder {
	float:left;
	clear:both;
	width:30%;
	padding:0 12px;
}

.relatedslides li.gallery-placeholder {
	width: 80% !important;
}

/** jQuery UI **/

.ui-corner-all {
	-webkit-border-radius: 4px;
	border-radius: 4px;
	-moz-border-radius: 4px;
}

/* Overlays */
.ui-widget-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.slideshow-ui-tooltip {
    padding: 8px;
    position: absolute;
    z-index: 9999;
    max-width: 300px;
    -webkit-box-shadow: 0 0 5px #aaa;
    box-shadow: 0 0 5px #aaa;
    background: #000000;
    opacity: .8;
	filter: alpha(opacity=80);
	zoom: 1;
    border-width: 2px;
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
}

.slideshow-ui-tooltip .ui-tooltip-content {
	font-size: 12px;
	background-color: #000;
	color: #fff !important;
	text-align: center;
	white-space: normal;
}

.slideshow-ui-tooltip .ui-tooltip-content a {
	color: #fff;
}

body .ui-tooltip {
	border-width: 2px;
}

/* Hide the “About” submenu entry in the admin menu */
#adminmenu a[href="index.php?page=slideshow-gallery-about"],
#adminmenu .wp-submenu a[href="index.php?page=slideshow-gallery-about"] {
    display: none !important;
}

.slideshow-custom-radio {
    display: inline-flex;
    cursor: pointer;
    position: relative;
    overflow: hidden;
}

.slideshow-custom-radio input {
    position: absolute;
    left: -9999px;
}

.slideshow-custom-radio input:checked~span:not([class]) {
    background-color: #d6d6e5;
}

.slideshow-custom-radio input:checked~span:not([class])::before {
    box-shadow: inset 0 0 0 0.4375em #255281;
}

.slideshow-custom-radio span:not([class]) {
    display: flex;
    align-items: center;
    padding: 0.375em 0.75em 0.375em 0.375em;
    border-radius: 99em;
    transition: 0.25s ease;
}

.slideshow-custom-radio span:not([class]):hover {
    background-color: #d6d6e5;
}

.slideshow-custom-radio span:not([class])::before {
    display: flex;
    flex-shrink: 0;
    content: "";
    background-color: #fff;
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    margin-right: 0.375em;
    transition: 0.25s ease;
    box-shadow: inset 0 0 0 0.125em #255281;
}

.slideshow-custom-checkbox {
    transition: 0.25s all ease-in-out;
    position: relative !important;
    display: inline-flex !important;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    margin-left: -10px;
}

.slideshow-custom-checkbox-wrapper {
    display: inline-flex;
}

.slideshow-misc-pub-section-debug {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
}

.slideshow-custom-checkbox.slideshow-custom-checkbox-debug {
	gap: 0;
}

.slideshow-custom-checkbox-no-space {
	gap: 0;
	margin: 0;
}

.slideshow-custom-checkbox.slideshow-custom-checkbox-debug .slideshow-custom-checkbox-wrapper {
	margin-right: 5px;
}

.slideshow-custom-checkbox .check-icon {
    position: relative;
    display: inline-block;
    width: 18px;
    height: 18px;
    border: 1px solid #d6dce3;
    border-radius: 4px;
    background: #fff;
    transition: all 0.25s ease-in-out;
    flex-shrink: 0;
}

.slideshow-custom-checkbox .check-icon::before {
    content: "";
    position: absolute;
    inset: 0;
    transition: 0.2s all ease-in-out;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg aria-hidden='true' focusable='false' data-prefix='far' data-icon='check' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' class='svg-inline--fa fa-check fa-w-16' style=''%3e%3cpath fill='%23ffffff' d='M435.848 83.466L172.804 346.51l-96.652-96.652c-4.686-4.686-12.284-4.686-16.971 0l-28.284 28.284c-4.686 4.686-4.686 12.284 0 16.971l133.421 133.421c4.686 4.686 12.284 4.686 16.971 0l299.813-299.813c4.686-4.686 4.686-12.284 0-16.971l-28.284-28.284c-4.686-4.686-12.284-4.686-16.97 0z' class=''/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-size: 65%;
    background-position: center center;
    transform: scale(1.3);
    opacity: 0;
    transition: all 0.25s ease-in-out;
}

.slideshow-custom-checkbox input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: unset !important;
    height: unset !important;
    border: none !important;
    min-width: unset !important;
    box-shadow: none !important;
    outline: none !important;
    margin: 0 !important;
    position: relative;
}

.slideshow-custom-checkbox input[type="checkbox"]:checked {
    width: unset !important;
    height: unset !important;
    border: none !important;
    min-width: unset !important;
    box-shadow: none !important;
    outline: none !important;
    margin: 0 !important;
}

.slideshow-custom-checkbox input[type="checkbox"]:checked::before {
    content: none;
}

.slideshow-custom-checkbox input[type="checkbox"]:checked+.check-icon {
    border-color: #255281;
    background: #255281;
}

.slideshow-custom-checkbox input[type="checkbox"]:disabled {
    cursor: none;
    pointer-events: none;
}

.slideshow-custom-checkbox input[type="checkbox"]:disabled + .check-icon {
    cursor: none;
    pointer-events: none;
    opacity: 0.6;
}

.slideshow-custom-radio input[type="radio"]:disabled {
    cursor: none;
    pointer-events: none;
}

.slideshow-custom-radio input[type="radio"]:disabled ~ span {
    cursor: none;
    pointer-events: none;
    opacity: 0.6;
}


.slideshow-custom-radio input[type="radio"]:disabled ~ span > a {
	cursor: pointer;
	pointer-events: all;
	background-color: none;
}

.slideshow-custom-checkbox input:checked+.check-icon::before {
    transform: scale(1);
    opacity: 1;
}

.slideshow-custom-vertical-list {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.slideshow-custom-horizontal-list {
    display: flex;
    flex-direction: row;
    gap: 5px;
}

.slideshow-custom-horizontal-list-align-center {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.slideshow-custom-checkbox-align-start {
    align-items: start;
}

.slideshow-custom-radio-with-img {
    gap: 5px;
    align-items: center;
}

.slideshow-permission-list-wrapper {
	width: 100%;
	overflow: auto;
}

.slideshow-setting-action, .slideshow-setting-action > a {
	display: flex;
	align-items: center;
	gap: 5px;
}